Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Assert.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/config-all.h"`

Include dependency graph for Assert.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | ACE_ASSERT(X)
## Functions
ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Export void | __ace_assert (const char *file, int line, const ACE_TCHAR *expression)

## Detailed Description

Id
  Assert.h,v 4.4 2006/01/12 19:49:07 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_ASSERT | ( | X |  | ) |

| Value:
    ((X)                                                                    \
       ? static_cast<void>(0)                                               \
       : ACE_VERSIONED_NAMESPACE_NAME::__ace_assert(__FILE__, __LINE__, ACE_TEXT_CHAR_TO_TCHAR (#X)))

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Export void __ace_assert | ( | const char * | file,
|  | int | line,
|  | const ACE_TCHAR * | expression
| ) |